package com.ynet.life.sujrb.util;

import com.ynet.life.sujrb.base.PBStandard;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.List;

public class WeekdayUtil {

   public static boolean compareWeekday(String i, String d2, int deadline) {
      SimpleDateFormat workDay = new SimpleDateFormat("yyyy-MM-dd");

      try {
         Date var13 = workDay.parse(i);
         Date var15 = workDay.parse(d2);
         int var16 = 0;
         GregorianCalendar gc;
         (gc = new GregorianCalendar()).setTime(var13);
         long day;
         if((day = (var15.getTime() - var13.getTime()) / 3600000L / 24L + 1L) < 0L) {
            return true;
         } else {
            for(int var14 = 0; (long)var14 < day; ++var14) {
               if(isWeekday(gc)) {
                  ++var16;
               }

               gc.add(5, 1);
            }

            if(var16 <= deadline) {
               return true;
            } else {
               return false;
            }
         }
      } catch (Exception var12) {
         var12.printStackTrace();
         return true;
      }
   }

   public static boolean isWeekday(GregorianCalendar calendar) {
      SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
      return calendar.get(7) != 7 && calendar.get(7) != 1?!getWeekdayIsHolidayList().contains(sdf.format(calendar.getTime())):getWeekendIsWorkDateList().contains(sdf.format(calendar.getTime()));
   }

   public static List getWeekendIsWorkDateList() {
      return PBStandard.getWeekendIsWorkdayList();
   }

   public static List getWeekdayIsHolidayList() {
      return PBStandard.getWorkdayIsHolidayList();
   }

   public static int getWorkDay(String i, String d2) {
      SimpleDateFormat workDay = new SimpleDateFormat("yyyy-MM-dd");

      try {
         Date var12 = workDay.parse(i);
         Date var14 = workDay.parse(d2);
         int var15 = 0;
         GregorianCalendar gc;
         (gc = new GregorianCalendar()).setTime(var12);
         long day = (var14.getTime() - var12.getTime()) / 3600000L / 24L + 1L;

         for(int var13 = 0; (long)var13 < day; ++var13) {
            if(isWeekday(gc)) {
               ++var15;
            }

            gc.add(5, 1);
         }

         return var15;
      } catch (Exception var11) {
         var11.printStackTrace();
         return -99;
      }
   }

   public static Date getBeforeWorkDay(Date i, int n) {
      SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");

      try {
         GregorianCalendar gc;
         (gc = new GregorianCalendar()).setTime(i);

         for(int var5 = 0; var5 < n; ++var5) {
            gc.add(5, -1);
            if(!isWeekday(gc)) {
               ++n;
            }

            System.out.println(sdf.format(gc.getTime()));
         }

         return gc.getTime();
      } catch (Exception var4) {
         var4.printStackTrace();
         return new Date();
      }
   }

   public static void main(String[] args) {
   }
}
